function data()
return {
	info = {
		minorVersion = 1,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = _("Rbns 646"),
		description = _("info_rbns_646_desc"),
		tags = { "Europe", "Wagon", },
		
		params = {
			{
				key = "fakeversions",
				name = _("Fake"),
				values = { "No", "Yes", },
				tooltip = _("option_rbns_646_fake_desc"),
				defaultIndex = 0,
			},
		},
		
		dependencies = { "modwerkstatt_basis_1", "mknj_container_asset_set_1" },
		
		requiredMods = {
				{ 
					modId= "modwerkstatt_basis_1", -- optional, modid
					steamId = 2903402546, -- optional, steam workshop id 
					url = "https://modwerkstatt.com/downloads/basismod", -- optional, url zum Download der Mod
					minMinorVersion = 0 -- optional, minimale minorVersion
				}, 	
				{ 
					modId= "mknj_container_asset_set_1", -- optional, modid
					steamId = 1936342398, -- optional, steam workshop id
					url = "https://modwerkstatt.com/downloads/container-asset-set-tpf2/", -- optional, url zum Download der Mod
					minMinorVersion = 3 -- optional, minimale minorVersion
				}, 
			},		
		authors = {
			{
				name = "Kaleut1988",
				role = "CREATOR",
				text = "3d model, mapping, textures",
				tfnetId = 22532,				
			},
			{
				name = "baubus",
				role = "CO_CREATOR",
				text = "soundset",
				tfnetId = 18332,				
			},
		},
		tfnetId = 0,                 															-- optional, transportfever.net id
		steamId = 0,             															-- optional, steam workshop id
		url = "", 	-- optional, URL zur Webseite des Mods
		visible = true
	},
	
	runFn = function(settings, modParams)
		
		local hidden = {				
				["fake_leer.mdl"] = true,
				["fake_1.mdl"] = true,
				["fake_2.mdl"] = true,
				["fake_3.mdl"] = true,
				["fake_4.mdl"] = true,					
			}
		
		local modelFilter = function(fileName, data)				
				local modelName = fileName:match('/rbns_646_1_db_schenker_([^/]*.mdl)')
								or fileName:match('/rbns_646_db_([^/]*.mdl)')			
				return (modelName==nil or hidden[modelName]~=true)				
			end  
		
		if modParams[getCurrentModId()] ~= nil then
			local params = modParams[getCurrentModId()]					
			if params["fakeversions"] == 0 then
				addFileFilter("model/vehicle", modelFilter)		
			end
		else
			addFileFilter("model/vehicle", modelFilter)	
		end		
	
	end
}
end
